

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.8.8. TokenBigramSplitSymbolAlpha &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.8.9. TokenBigramSplitSymbolAlphaDigit" href="token_bigram_split_symbol_alpha_digit.html" />
    <link rel="prev" title="7.8.7. TokenBigramSplitSymbol" href="token_bigram_split_symbol.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/tokenizers/token_bigram_split_symbol_alpha.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="token_bigram_split_symbol_alpha_digit.html" title="7.8.9. TokenBigramSplitSymbolAlphaDigit"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="token_bigram_split_symbol.html" title="7.8.7. TokenBigramSplitSymbol"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../tokenizers.html" accesskey="U"><span class="section-number">7.8. </span>Tokenizers</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.8.8. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="tokenbigramsplitsymbolalpha">
<span id="token-bigram-split-symbol-alpha"></span><h1><span class="section-number">7.8.8. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code><a class="headerlink" href="#tokenbigramsplitsymbolalpha" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.8.8.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code> is similar to <a class="reference internal" href="token_bigram.html#token-bigram"><span class="std std-ref">TokenBigram</span></a>. The
difference between them is symbol and alphabet handling.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.8.8.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code> hasn’t parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>TokenBigramSplitSymbolAlpha
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.8.8.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code> tokenizes symbols and
alphabets by bigram tokenize method:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenBigramSplitSymbolAlpha &quot;100cents!!!&quot; NormalizerAuto
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;100&quot;
#     },
#     {
#       &quot;position&quot;: 1,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;ce&quot;
#     },
#     {
#       &quot;position&quot;: 2,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;en&quot;
#     },
#     {
#       &quot;position&quot;: 3,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;nt&quot;
#     },
#     {
#       &quot;position&quot;: 4,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;ts&quot;
#     },
#     {
#       &quot;position&quot;: 5,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;s!&quot;
#     },
#     {
#       &quot;position&quot;: 6,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!!&quot;
#     },
#     {
#       &quot;position&quot;: 7,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!!&quot;
#     },
#     {
#       &quot;position&quot;: 8,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!&quot;
#     }
#   ]
# ]
</pre></div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.8.8. <code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.8.8.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.8.8.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.8.8.3. Usage</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="token_bigram_split_symbol.html"
                        title="previous chapter"><span class="section-number">7.8.7. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbol</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="token_bigram_split_symbol_alpha_digit.html"
                        title="next chapter"><span class="section-number">7.8.9. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlphaDigit</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="token_bigram_split_symbol_alpha_digit.html" title="7.8.9. TokenBigramSplitSymbolAlphaDigit"
             >next</a> |</li>
        <li class="right" >
          <a href="token_bigram_split_symbol.html" title="7.8.7. TokenBigramSplitSymbol"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../tokenizers.html" ><span class="section-number">7.8. </span>Tokenizers</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.8.8. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramSplitSymbolAlpha</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>